Bug 902731 - (CVE-2012-6100) CVE-2012-6100 moodle: Information leak through activity report (MSA-13-0004)
CVE-2012-6100 moodle: Information leak through activity report (MSA-13-0004)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120625,reported=2...
: Security
Depends On: 903264
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 06:05 EST by Jan Lieskovsky
Modified: 2015-08-22 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-22 06:05:16 EST
A security flaw was found in the way Moodle, a course management system, enforced hidden field requirement on the last access item of the Activity report. When a last access item was requested to be hidden, it was still displayed in the Activity Report.

References:
[1] http://www.openwall.com/lists/oss-security/2013/01/21/1

Relevant upstream patch:
[2] http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-33340
Comment 1 Jan Lieskovsky 2013-01-22 06:08:08 EST
This issue did NOT affect the versions of the moodle package, as shipped with Fedora release of 16, 17, 18, and Fedora EPEL 6 (those moodle package versions are already updated and contain the fix).

--

This issue affects the version of the moodle package, as shipped with Fedora EPEL 5 (relevant source code part where patch is applicable is: rpmbuild/BUILD/moodle/course/report/outline/index.php around line #18).
Comment 2 Jan Lieskovsky 2013-01-23 10:37:18 EST
Created moodle tracking bugs for this issue

Affects: epel-5 [bug 903264]

Note You need to log in before you can comment on or make changes to this bug.